import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class SpinnerService {
    spinnerEvent: Subject<{
        state: boolean;
        placement: string;
    }>;
    private spinnersHeap;
    private defaultPlacement;
    private logger;
    constructor();
    private emitEvent;
    open(placement?: string): void;
    close(placement?: string): void;
    closeWithTimeout(timeout?: number, placement?: string): void;
    resetState(placement?: string): void;
    isOpened(placement?: string): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpinnerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpinnerService>;
}
